Subject: Re: bug#26345: 25.1; vc-annotate in Git is unable to fully navigate the history if the file was moved

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 May 2017 04:41:04 +0300

On 15.04.2017 2:46, Wojciech Siewierski wrote:

>> Hmm, you're right. It does, however, improve the following scenario:
>>
>> C-x v g, j, p, n
>>
>> I.e. you can move between revisions belonging to the old file name
>> (with the next/previous commands), just not between different file names.

> Right, I missed that but you're right. That's definitely a massive
> improvement. Thanks!

I've pushed that patch now. Keeping this bug open because it doesn't fix 
the main scenario.

For future reference (mine or someone else's): when we reach the end of 
the revision list for a particular file name, we can call 'git show REV 
-M' to look for the next file name, a simple example here: 
https://kparal.wordpress.com/2011/08/03/git-tip-of-the-day-detect-moved-files/.